Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Fri, 31 Jan 2025 11:04:55 +0100

martin rudalics <[email-masked]> writes:

>> Could you make sub-menus display and behave more like on a GUI? For
>> example, when I choose Tools -> Spell from the menu bar, the Spell menu
>> replaces the Tools menu on the screen. On a GUI it would display on top
>> of the parent and one could navigate back to the parent with the mouse.
>
> That would be nice but cascading menus on a tty is non-trivial - there
> are already some some very clever hacks to make sure that each menu is
> always drawn in its containing frame.  BTW, GTK builds can even enlarge
> the Emacs frame when the menubar gets longer.  Note also that GUI builds
> without toolkit cannot cascade menus either.
>
>> Similarly for context menus.
>
> Same difficulties - one might have to move the menu to fit it into its
> frame.  Not that it cannot be done but on a GUI context menus (or a
> tooltip) can be easily drawn outside their owning frame when they get
> too large.
>
>> Also the first line of the menu "Spell >" looks weird.
>
> In what sense?
>
>> And keyboard navigation back from a sub-menu to its parent would be
>> nice.
>
> Hmm... via backspace?

I take everything back. I think it would be much much better to do that
all in Lisp.